Get entries
Returns a list of DataLens entries.
Request
POST
https://api.datalens.tech/rpc/getEntries
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
|
x-dl-audit-mode |
Type: string Const: Example: `` |
Body
application/json
{
"ids": [
"example"
],
"scope": "dash",
"type": "example",
"createdBy": [
"example"
],
"orderBy": {
"field": "createdAt",
"direction": "desc"
},
"excludeLocked": true,
"includeData": true,
"includeLinks": true,
"filters": {
"name": "example"
},
"pageSize": 1,
"includePermissionsInfo": true,
"ignoreWorkbookEntries": true,
"ignoreSharedEntries": true,
"pageToken": "example"
}
|
Name |
Description |
||||
|
createdBy |
Type: string[] IDs of entry creators to filter by. Max items: Example
|
||||
|
excludeLocked |
Type: boolean Whether to exclude locked entries. |
||||
|
filters |
Type: object
Entry filters. Example
|
||||
|
ids |
Type: string[] IDs of entries to return. Max items: Example
|
||||
|
ignoreSharedEntries |
Type: boolean Whether to exclude shared entries. |
||||
|
ignoreWorkbookEntries |
Type: boolean Whether to exclude entries that belong to workbooks. |
||||
|
includeData |
Type: boolean Whether to include entry data. |
||||
|
includeLinks |
Type: boolean Whether to include entry links. |
||||
|
includePermissionsInfo |
Type: boolean Whether to include permission information. |
||||
|
orderBy |
Type: object
Entry sorting configuration. Example
|
||||
|
pageSize |
Type: integer Maximum number of entries to return. Min value: Max value: |
||||
|
pageToken |
Type: string Token for the next page of entries. Example: |
||||
|
scope |
Type: string Scope used to filter entries. Enum: |
||||
|
type |
Type: string Entry type to filter by. Example: |
Responses
200 OK
Response
Body
application/json
{
"nextPageToken": "example",
"entries": [
{
"isLocked": true,
"entryId": "example",
"scope": "dash",
"type": "example",
"name": "example"
}
]
}
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
entries |
Type: arrayAny of 2 types
Entries matching the request. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
nextPageToken |
Type: string Token for the next page of entries. Example: |
EntryScope
Type of the entry, e.g. dash — dashboard, widget — chart, etc.
Type: string
Enum: dash, report, widget, dataset, folder, connection, compute, artifact